/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Bank of the account
 */
@ApiModel(description = "Bank of the account")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Bank {
  @SerializedName("name")
  private String name = null;

  @SerializedName("bank_code")
  private String bankCode = null;

  @SerializedName("branch_code")
  private String branchCode = null;

  @SerializedName("country")
  private String country = null;

  public Bank name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Name of the bank
   * @return name
  **/
  @ApiModelProperty(example = "Bank", value = "Name of the bank")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Bank bankCode(String bankCode) {
    this.bankCode = bankCode;
    return this;
  }

   /**
   * Code of the bank
   * @return bankCode
  **/
  @ApiModelProperty(example = "123", value = "Code of the bank")
  public String getBankCode() {
    return bankCode;
  }

  public void setBankCode(String bankCode) {
    this.bankCode = bankCode;
  }

  public Bank branchCode(String branchCode) {
    this.branchCode = branchCode;
    return this;
  }

   /**
   * Code of the branch
   * @return branchCode
  **/
  @ApiModelProperty(example = "45678", value = "Code of the branch")
  public String getBranchCode() {
    return branchCode;
  }

  public void setBranchCode(String branchCode) {
    this.branchCode = branchCode;
  }

  public Bank country(String country) {
    this.country = country;
    return this;
  }

   /**
   * Country ISO-3166-1 alpha-2 format (2 letter codes)
   * @return country
  **/
  @ApiModelProperty(example = "fr", value = "Country ISO-3166-1 alpha-2 format (2 letter codes)")
  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Bank bank = (Bank) o;
    return Objects.equals(this.name, bank.name) &&
        Objects.equals(this.bankCode, bank.bankCode) &&
        Objects.equals(this.branchCode, bank.branchCode) &&
        Objects.equals(this.country, bank.country);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, bankCode, branchCode, country);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Bank {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    bankCode: ").append(toIndentedString(bankCode)).append("\n");
    sb.append("    branchCode: ").append(toIndentedString(branchCode)).append("\n");
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

